Package org.apache.solr.client.solrj.impl

## Class Http2ClusterStateProvider

- java.lang.Object
- - org.apache.solr.client.solrj.impl.BaseHttpClusterStateProvider
  - - org.apache.solr.client.solrj.impl.Http2ClusterStateProvider

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `ClusterStateProvider`, `SolrCloseable`

    public class Http2ClusterStateProvider
    extends BaseHttpClusterStateProvider

### Constructor Summary

Constructors
`Http2ClusterStateProvider​(List<String> solrUrls, Http2SolrClient httpClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`Http2SolrClient` `getHttpClient()`
`protected SolrClient` `getSolrClient​(String baseUrl)` Create a SolrClient implementation that uses the specified Solr node URL

### Methods inherited from class org.apache.solr.client.solrj.impl.BaseHttpClusterStateProvider

`connect, getAliasProperties, getCacheTimeout, getClusterProperties, getClusterProperty, getClusterState, getCollection, getLiveNodes, getPolicyNameByCollection, getQuorumHosts, getState, init, resolveAlias, resolveAlias, resolveSimpleAlias`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.impl.ClusterStateProvider

`getClusterProperty, isRoutedAlias`

### Methods inherited from interface org.apache.solr.common.SolrCloseable

`isClosed`

### Constructor Detail

#### Http2ClusterStateProvider

    public Http2ClusterStateProvider​(List<String> solrUrls,
                                     Http2SolrClient httpClient)
                              throws Exception

Throws:
  `Exception`

### Method Detail

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### getSolrClient

    protected SolrClient getSolrClient​(String baseUrl)

Description copied from class: `BaseHttpClusterStateProvider`
Create a SolrClient implementation that uses the specified Solr node URL

Specified by:
  `getSolrClient` in class `BaseHttpClusterStateProvider`

#### getHttpClient

    public Http2SolrClient getHttpClient()